home *** CD-ROM | disk | FTP | other *** search
/ Aminet 52 / Aminet 52 (2002)(GTI - Schatztruhe)[!][Dec 2002].iso / Aminet / dev / gg / ncurses-5.3.lha / ncurses-5.3 / config.status < prev    next >
Text File  |  2002-10-24  |  35KB  |  1,233 lines

  1. #! /bin/sh
  2. # Generated automatically by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6.  
  7. debug=false
  8. SHELL=${CONFIG_SHELL-/bin/sh}
  9. ac_cs_invocation="$0 $@"
  10.  
  11. # Be Bourne compatible
  12. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  13.   emulate sh
  14.   NULLCMD=:
  15. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  16.   set -o posix
  17. fi
  18.  
  19. # Name of the executable.
  20. as_me=`echo "$0" |sed 's,.*[\\/],,'`
  21.  
  22. if expr a : '\(a\)' >/dev/null 2>&1; then
  23.   as_expr=expr
  24. else
  25.   as_expr=false
  26. fi
  27.  
  28. rm -f conf$$ conf$$.exe conf$$.file
  29. echo >conf$$.file
  30. if ln -s conf$$.file conf$$ 2>/dev/null; then
  31.   # We could just check for DJGPP; but this test a) works b) is more generic
  32.   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  33.   if test -f conf$$.exe; then
  34.     # Don't use ln at all; we don't have any links
  35.     as_ln_s='cp -p'
  36.   else
  37.     as_ln_s='ln -s'
  38.   fi
  39. elif ln conf$$.file conf$$ 2>/dev/null; then
  40.   as_ln_s=ln
  41. else
  42.   as_ln_s='cp -p'
  43. fi
  44. rm -f conf$$ conf$$.exe conf$$.file
  45.  
  46. as_executable_p="test -f"
  47.  
  48. # Support unset when possible.
  49. if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  50.   as_unset=unset
  51. else
  52.   as_unset=false
  53. fi
  54.  
  55. # NLS nuisances.
  56. $as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
  57. $as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
  58. $as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
  59. $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
  60. $as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
  61. $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
  62. $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
  63. $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
  64.  
  65. # IFS
  66. # We need space, tab and new line, in precisely that order.
  67. as_nl='
  68. '
  69. IFS="     $as_nl"
  70.  
  71. # CDPATH.
  72. $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
  73.  
  74. exec 6>&1
  75.  
  76. config_files=" include/MKterm.h.awk include/curses.head:include/curses.h.in include/termcap.h include/unctrl.h misc/run_tic.sh:misc/run_tic.in  man/Makefile include/Makefile ncurses/Makefile progs/Makefile tack/Makefile panel/Makefile menu/Makefile form/Makefile test/Makefile misc/Makefile c++/Makefile Makefile"
  77. config_headers=" include/ncurses_cfg.h:include/ncurses_cfg.hin"
  78. config_commands=" default"
  79.  
  80. ac_cs_usage="\
  81. \`$as_me' instantiates files from templates according to the
  82. current configuration.
  83.  
  84. Usage: $0 [OPTIONS] [FILE]...
  85.  
  86.   -h, --help       print this help, then exit
  87.   -V, --version    print version number, then exit
  88.   -d, --debug      don't remove temporary files
  89.       --recheck    update $as_me by reconfiguring in the same conditions
  90.   --file=FILE[:TEMPLATE]
  91.                    instantiate the configuration file FILE
  92.   --header=FILE[:TEMPLATE]
  93.                    instantiate the configuration header FILE
  94.  
  95. Configuration files:
  96. $config_files
  97.  
  98. Configuration headers:
  99. $config_headers
  100.  
  101. Configuration commands:
  102. $config_commands
  103.  
  104. Report bugs to <bug-autoconf@gnu.org>."
  105. ac_cs_version="\
  106. config.status
  107. configured by ./configure, generated by GNU Autoconf 2.52.20011227,
  108.   with options \"--prefix=/gg --enable-termcap --build=amigaos --disable-overwrite --without-debug 'CFLAGS=-O2 -fomit-frame-pointer -m68020-60 -ffast-math' 'LDFLAGS=-s -lm' build_alias=amigaos\"
  109.  
  110. Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
  111. Free Software Foundation, Inc.
  112. This config.status script is free software; the Free Software Foundation
  113. gives unlimited permission to copy, distribute and modify it."
  114. srcdir=.
  115. INSTALL="/bin/install -c"
  116. # If no file are specified by the user, then we need to provide default
  117. # value.  By we need to know if files were specified by the user.
  118. ac_need_defaults=:
  119. while test $# != 0
  120. do
  121.   case $1 in
  122.   --*=*)
  123.     ac_option=`expr "x$1" : 'x\([^=]*\)='`
  124.     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  125.     shift
  126.     set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
  127.     shift
  128.     ;;
  129.   -*);;
  130.   *) # This is not an option, so the user has probably given explicit
  131.      # arguments.
  132.      ac_need_defaults=false;;
  133.   esac
  134.  
  135.   case $1 in
  136.   # Handling of the options.
  137.   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  138.     echo "running /bin/sh ./configure " --prefix=/gg --enable-termcap --build=amigaos --disable-overwrite --without-debug 'CFLAGS=-O2 -fomit-frame-pointer -m68020-60 -ffast-math' 'LDFLAGS=-s -lm' build_alias=amigaos " --no-create --no-recursion"
  139.     exec /bin/sh ./configure --prefix=/gg --enable-termcap --build=amigaos --disable-overwrite --without-debug 'CFLAGS=-O2 -fomit-frame-pointer -m68020-60 -ffast-math' 'LDFLAGS=-s -lm' build_alias=amigaos --no-create --no-recursion ;;
  140.   --version | --vers* | -V )
  141.     echo "$ac_cs_version"; exit 0 ;;
  142.   --he | --h)
  143.     # Conflict between --help and --header
  144.     { { echo "$as_me:10904: error: ambiguous option: $1
  145. Try \`$0 --help' for more information." >&5
  146. echo "$as_me: error: ambiguous option: $1
  147. Try \`$0 --help' for more information." >&2;}
  148.    { (exit 1); exit 1; }; };;
  149.   --help | --hel | -h )
  150.     echo "$ac_cs_usage"; exit 0 ;;
  151.   --debug | --d* | -d )
  152.     debug=: ;;
  153.   --file | --fil | --fi | --f )
  154.     shift
  155.     CONFIG_FILES="$CONFIG_FILES $1"
  156.     ac_need_defaults=false;;
  157.   --header | --heade | --head | --hea )
  158.     shift
  159.     CONFIG_HEADERS="$CONFIG_HEADERS $1"
  160.     ac_need_defaults=false;;
  161.  
  162.   # This is an error.
  163.   -*) { { echo "$as_me:10923: error: unrecognized option: $1
  164. Try \`$0 --help' for more information." >&5
  165. echo "$as_me: error: unrecognized option: $1
  166. Try \`$0 --help' for more information." >&2;}
  167.    { (exit 1); exit 1; }; } ;;
  168.  
  169.   *) ac_config_targets="$ac_config_targets $1" ;;
  170.  
  171.   esac
  172.   shift
  173. done
  174.  
  175. exec 5>>config.log
  176. cat >&5 << _ACEOF
  177.  
  178. ## ----------------------- ##
  179. ## Running config.status.  ##
  180. ## ----------------------- ##
  181.  
  182. This file was extended by $as_me 2.52.20011227, executed with
  183.   CONFIG_FILES    = $CONFIG_FILES
  184.   CONFIG_HEADERS  = $CONFIG_HEADERS
  185.   CONFIG_LINKS    = $CONFIG_LINKS
  186.   CONFIG_COMMANDS = $CONFIG_COMMANDS
  187.   > $ac_cs_invocation
  188. on `(hostname || uname -n) 2>/dev/null | sed 1q`
  189.  
  190. _ACEOF
  191. #
  192. # INIT-COMMANDS section.
  193. #
  194.  
  195. ### Special initialization commands, used to pass information from the
  196. ### configuration-run into config.status
  197.  
  198. AWK="gawk"
  199. CF_LIST_MODELS=" normal"
  200. DFT_LWR_MODEL="normal"
  201. LDCONFIG=""
  202. LIB_NAME="ncurses"
  203. LIB_SUBSETS="termlib+base+ext_funcs"
  204. LIB_SUFFIX=""
  205. LIB_TRACING="DEBUG"
  206. MAKE_TERMINFO=""
  207. NCURSES_OSPEED="short"
  208. SRC_SUBDIRS="man include ncurses progs tack panel menu form test misc c++"
  209. TERMINFO="/gg/share/terminfo"
  210. TINFO_NAME="tinfo"
  211. WITH_CURSES_H="yes"
  212. WITH_ECHO="yes"
  213. WITH_OVERWRITE="no"
  214. cf_cv_abi_version="5"
  215. cf_cv_do_symlinks="no"
  216. cf_cv_rel_version="5.3"
  217. cf_cv_rm_so_locs="no"
  218. cf_cv_shlib_version="auto"
  219. cf_cv_shlib_version_infix="no"
  220. cf_cv_system_name="amigaos"
  221. cf_with_cxx_binding="yes"
  222. target="m68k-unknown-amigaos"
  223.  
  224. for ac_config_target in $ac_config_targets
  225. do
  226.   case "$ac_config_target" in
  227.   # Handling of arguments.
  228.   "include/MKterm.h.awk" ) CONFIG_FILES="$CONFIG_FILES include/MKterm.h.awk" ;;
  229.   "include/curses.head" ) CONFIG_FILES="$CONFIG_FILES include/curses.head:include/curses.h.in" ;;
  230.   "include/termcap.h" ) CONFIG_FILES="$CONFIG_FILES include/termcap.h" ;;
  231.   "include/unctrl.h" ) CONFIG_FILES="$CONFIG_FILES include/unctrl.h" ;;
  232.   "misc/run_tic.sh" ) CONFIG_FILES="$CONFIG_FILES misc/run_tic.sh:misc/run_tic.in" ;;
  233.   "$SUB_MAKEFILES" ) CONFIG_FILES="$CONFIG_FILES $SUB_MAKEFILES" ;;
  234.   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  235.   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
  236.   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
  237.   *) { { echo "$as_me:11003: error: invalid argument: $ac_config_target" >&5
  238. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  239.    { (exit 1); exit 1; }; };;
  240.   esac
  241. done
  242.  
  243. # If the user did not use the arguments to specify the items to instantiate,
  244. # then the envvar interface is used.  Set only those that are not.
  245. # We use the long form for the default assignment because of an extremely
  246. # bizarre bug on SunOS 4.1.3.
  247. if $ac_need_defaults; then
  248.   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  249.   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  250.   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  251. fi
  252.  
  253. # Create a temporary directory, and hook for its removal unless debugging.
  254. $debug ||
  255. {
  256.   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  257.   trap '{ (exit 1); exit 1; }' 1 2 13 15
  258. }
  259.  
  260. # Create a (secure) tmp directory for tmp files.
  261. : ${TMPDIR=/tmp}
  262. {
  263.   tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
  264.   test -n "$tmp" && test -d "$tmp"
  265. }  ||
  266. {
  267.   tmp=$TMPDIR/cs$$-$RANDOM
  268.   (umask 077 && mkdir $tmp)
  269. } ||
  270. {
  271.    echo "$me: cannot create a temporary directory in $TMPDIR" >&2
  272.    { (exit 1); exit 1; }
  273. }
  274.  
  275.  
  276. #
  277. # CONFIG_FILES section.
  278. #
  279.  
  280. # No need to generate the scripts if there are no CONFIG_FILES.
  281. # This happens for instance when ./config.status config.h
  282. if test -n "$CONFIG_FILES"; then
  283.   # Protect against being on the right side of a sed subst in config.status.
  284.   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  285.    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  286. s,@SHELL@,/bin/sh,;t t
  287. s,@exec_prefix@,${prefix},;t t
  288. s,@prefix@,/gg,;t t
  289. s,@program_transform_name@,s,x,x,,;t t
  290. s,@bindir@,${exec_prefix}/bin,;t t
  291. s,@sbindir@,${exec_prefix}/sbin,;t t
  292. s,@libexecdir@,${exec_prefix}/libexec,;t t
  293. s,@datadir@,${prefix}/share,;t t
  294. s,@sysconfdir@,${prefix}/etc,;t t
  295. s,@sharedstatedir@,${prefix}/com,;t t
  296. s,@localstatedir@,${prefix}/var,;t t
  297. s,@libdir@,${exec_prefix}/lib,;t t
  298. s,@includedir@,$(prefix)/include/ncurses,;t t
  299. s,@oldincludedir@,/usr/include,;t t
  300. s,@infodir@,${prefix}/info,;t t
  301. s,@mandir@,${prefix}/man,;t t
  302. s,@PACKAGE_NAME@,,;t t
  303. s,@PACKAGE_TARNAME@,,;t t
  304. s,@PACKAGE_VERSION@,,;t t
  305. s,@PACKAGE_STRING@,,;t t
  306. s,@PACKAGE_BUGREPORT@,,;t t
  307. s,@build_alias@,amigaos,;t t
  308. s,@host_alias@,,;t t
  309. s,@target_alias@,,;t t
  310. s,@ECHO_C@,\c,;t t
  311. s,@ECHO_N@,,;t t
  312. s,@ECHO_T@,,;t t
  313. s,@PATH_SEPARATOR@,:,;t t
  314. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  315. s,@LIBS@,,;t t
  316. s,@NCURSES_MAJOR@,5,;t t
  317. s,@NCURSES_MINOR@,3,;t t
  318. s,@NCURSES_PATCH@,20021012,;t t
  319. s,@cf_cv_rel_version@,5.3,;t t
  320. s,@cf_cv_abi_version@,5,;t t
  321. s,@cf_cv_cc_bool_type@,0,;t t
  322. s,@cf_cv_builtin_bool@,1,;t t
  323. s,@cf_cv_header_stdbool_h@,1,;t t
  324. s,@cf_cv_type_of_bool@,unsigned char,;t t
  325. s,@build@,m68k-unknown-amigaos,;t t
  326. s,@build_cpu@,m68k,;t t
  327. s,@build_vendor@,unknown,;t t
  328. s,@build_os@,amigaos,;t t
  329. s,@host@,m68k-unknown-amigaos,;t t
  330. s,@host_cpu@,m68k,;t t
  331. s,@host_vendor@,unknown,;t t
  332. s,@host_os@,amigaos,;t t
  333. s,@target@,m68k-unknown-amigaos,;t t
  334. s,@target_cpu@,m68k,;t t
  335. s,@target_vendor@,unknown,;t t
  336. s,@target_os@,amigaos,;t t
  337. s,@CC@,gcc,;t t
  338. s,@CFLAGS@,-O2 -fomit-frame-pointer -m68020-60 -ffast-math ,;t t
  339. s,@LDFLAGS@,-s -lm,;t t
  340. s,@CPPFLAGS@, -DNDEBUG -I. -I../include -I$(includedir),;t t
  341. s,@ac_ct_CC@,gcc,;t t
  342. s,@EXEEXT@,,;t t
  343. s,@OBJEXT@,o,;t t
  344. s,@BUILD_CC@,$(CC),;t t
  345. s,@BUILD_CFLAGS@,$(CFLAGS),;t t
  346. s,@BUILD_CPPFLAGS@,$(CPPFLAGS),;t t
  347. s,@BUILD_LDFLAGS@,$(LDFLAGS),;t t
  348. s,@BUILD_LIBS@,$(LIBS),;t t
  349. s,@CPP@,gcc -E,;t t
  350. s,@PROG_EXT@,,;t t
  351. s,@LDCONFIG@,,;t t
  352. s,@CXX@,g++,;t t
  353. s,@CXXFLAGS@,-g -O2,;t t
  354. s,@ac_ct_CXX@,g++,;t t
  355. s,@AWK@,gawk,;t t
  356. s,@SET_MAKE@,,;t t
  357. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  358. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  359. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  360. s,@LN_S@,ln -s,;t t
  361. s,@RANLIB@,ranlib,;t t
  362. s,@ac_ct_RANLIB@,ranlib,;t t
  363. s,@MAKE_LOWER_TAGS@,,;t t
  364. s,@MAKE_UPPER_TAGS@,#,;t t
  365. s,@LINT@,,;t t
  366. s,@MAN@,man,;t t
  367. s,@LINT_OPTS@,,;t t
  368. s,@LD@,ld,;t t
  369. s,@AR@,ar,;t t
  370. s,@AR_OPTS@,rv,;t t
  371. s,@cf_cv_makeflags@,,;t t
  372. s,@DESTDIR@,,;t t
  373. s,@cf_list_models@, normal,;t t
  374. s,@LIBTOOL@,,;t t
  375. s,@DFT_LWR_MODEL@,normal,;t t
  376. s,@DFT_UPR_MODEL@,NORMAL,;t t
  377. s,@TINFO_NAME@,tinfo,;t t
  378. s,@LIB_NAME@,ncurses,;t t
  379. s,@LIB_PREFIX@,lib,;t t
  380. s,@LIB_SUFFIX@,,;t t
  381. s,@CC_G_OPT@,-g,;t t
  382. s,@CXX_G_OPT@,-g,;t t
  383. s,@LD_MODEL@,,;t t
  384. s,@CC_SHARED_OPTS@,unknown,;t t
  385. s,@LD_SHARED_OPTS@,,;t t
  386. s,@MK_SHARED_LIB@,echo unknown,;t t
  387. s,@LINK_PROGS@,,;t t
  388. s,@LINK_TESTS@,,;t t
  389. s,@EXTRA_LDFLAGS@,,;t t
  390. s,@LOCAL_LDFLAGS@,,;t t
  391. s,@LOCAL_LDFLAGS2@,,;t t
  392. s,@INSTALL_LIB@,-m 644,;t t
  393. s,@TERMINFO_SRC@,${top_srcdir}/misc/terminfo.src,;t t
  394. s,@PATHSEP@,:,;t t
  395. s,@FALLBACK_LIST@,,;t t
  396. s,@TERMINFO_DIRS@,/gg/share/terminfo,;t t
  397. s,@TERMINFO@,/gg/share/terminfo,;t t
  398. s,@MAKE_TERMINFO@,,;t t
  399. s,@TERMPATH@,/etc/termcap:/usr/share/misc/termcap,;t t
  400. s,@BROKEN_LINKER@,0,;t t
  401. s,@NCURSES_BOOL@,auto,;t t
  402. s,@NCURSES_OSPEED@,short,;t t
  403. s,@MANPAGE_RENAMES@,no,;t t
  404. s,@NCURSES_EXT_FUNCS@,1,;t t
  405. s,@NCURSES_CONST@,/*nothing*/,;t t
  406. s,@NCURSES_XNAMES@,1,;t t
  407. s,@NCURSES_CH_T@,chtype,;t t
  408. s,@NCURSES_LIBUTF8@,0,;t t
  409. s,@NCURSES_MBSTATE_T@,0,;t t
  410. s,@TERMINFO_CAPS@,Caps,;t t
  411. s,@ECHO_LINK@,,;t t
  412. s,@EXTRA_CFLAGS@,,;t t
  413. s,@MATH_LIB@,,;t t
  414. s,@cf_cv_typeof_chtype@,long,;t t
  415. s,@cf_cv_1UL@,1UL,;t t
  416. s,@HAVE_VSSCANF@,1,;t t
  417. s,@CXXCPP@,g++ -E,;t t
  418. s,@CXXLDFLAGS@,,;t t
  419. s,@CXX_AR@,$(AR),;t t
  420. s,@CXX_AR_OPTS@,$(AR_OPTS),;t t
  421. s,@CXXLIBS@,,;t t
  422. s,@gnat_exists@,no,;t t
  423. s,@M4_exists@,,;t t
  424. s,@cf_ada_make@,,;t t
  425. s,@cf_ada_compiler@,,;t t
  426. s,@cf_ada_package@,,;t t
  427. s,@ADAFLAGS@,,;t t
  428. s,@cf_compile_generics@,,;t t
  429. s,@cf_generic_objects@,,;t t
  430. s,@ADA_INCLUDE@,,;t t
  431. s,@ADA_OBJECTS@,,;t t
  432. s,@ADA_TRACE@,FALSE,;t t
  433. s,@ACPPFLAGS@, -I. -I../../include -I$(includedir),;t t
  434. s,@DFT_ARG_SUFFIX@,,;t t
  435. s,@DFT_DEP_SUFFIX@,.a,;t t
  436. s,@DFT_OBJ_SUBDIR@,objects,;t t
  437. s,@CXX_LIB_SUFFIX@,.a,;t t
  438. s,@EXTRA_LIBS@,,;t t
  439. s,@TINFO_LIST@,,;t t
  440. s,@SHLIB_LIST@,,;t t
  441. s,@TEST_DEPS@,../lib/libform.a ../lib/libmenu.a ../lib/libpanel.a ../lib/libncurses.a ,;t t
  442. s,@TEST_ARGS@,-L../lib -lform -lmenu -lpanel -lncurses ,;t t
  443. s,@PROG_ARGS@,-L../lib -lncurses ,;t t
  444. s,@ADA_SUBDIRS@,,;t t
  445. s,@DIRS_TO_MAKE@,lib objects,;t t
  446. CEOF
  447.  
  448.   # Split the substitutions into bite-sized pieces for seds with
  449.   # small command number limits, like on Digital OSF/1 and HP-UX.
  450.   ac_max_sed_lines=48
  451.   ac_sed_frag=1 # Number of current file.
  452.   ac_beg=1 # First line for current file.
  453.   ac_end=$ac_max_sed_lines # Line after last line for current file.
  454.   ac_more_lines=:
  455.   ac_sed_cmds=
  456.   while $ac_more_lines; do
  457.     if test $ac_beg -gt 1; then
  458.       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  459.     else
  460.       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  461.     fi
  462.     if test ! -s $tmp/subs.frag; then
  463.       ac_more_lines=false
  464.     else
  465.       # The purpose of the label and of the branching condition is to
  466.       # speed up the sed processing (if there are no `@' at all, there
  467.       # is no need to browse any of the substitutions).
  468.       # These are the two extra sed commands mentioned above.
  469.       (echo ':t
  470.   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  471.       if test -z "$ac_sed_cmds"; then
  472.       ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  473.       else
  474.       ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  475.       fi
  476.       ac_sed_frag=`expr $ac_sed_frag + 1`
  477.       ac_beg=$ac_end
  478.       ac_end=`expr $ac_end + $ac_max_sed_lines`
  479.     fi
  480.   done
  481.   if test -z "$ac_sed_cmds"; then
  482.     ac_sed_cmds=cat
  483.   fi
  484. fi # test -n "$CONFIG_FILES"
  485.  
  486. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  487.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  488.   case $ac_file in
  489.   - | *:- | *:-:* ) # input from stdin
  490.         cat >$tmp/stdin
  491.         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  492.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  493.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  494.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  495.   * )   ac_file_in=$ac_file.in ;;
  496.   esac
  497.  
  498.   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  499.   ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  500.          X"$ac_file" : 'X\(//\)[^/]' \| \
  501.          X"$ac_file" : 'X\(//\)$' \| \
  502.          X"$ac_file" : 'X\(/\)' \| \
  503.          .     : '\(.\)' 2>/dev/null ||
  504. echo X"$ac_file" |
  505.     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  506.         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  507.         /^X\(\/\/\)$/{ s//\1/; q; }
  508.         /^X\(\/\).*/{ s//\1/; q; }
  509.         s/.*/./; q'`
  510.   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  511.     { case "$ac_dir" in
  512.   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  513.   *)                      as_incr_dir=.;;
  514. esac
  515. as_dummy="$ac_dir"
  516. for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  517.   case $as_mkdir_dir in
  518.     # Skip DOS drivespec
  519.     ?:) as_incr_dir=$as_mkdir_dir ;;
  520.     *)
  521.       as_incr_dir=$as_incr_dir/$as_mkdir_dir
  522.       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
  523.     ;;
  524.   esac
  525. done; }
  526.  
  527.     ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
  528.     # A "../" for each directory in $ac_dir_suffix.
  529.     ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
  530.   else
  531.     ac_dir_suffix= ac_dots=
  532.   fi
  533.  
  534.   case $srcdir in
  535.   .)  ac_srcdir=.
  536.       if test -z "$ac_dots"; then
  537.          ac_top_srcdir=.
  538.       else
  539.          ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
  540.       fi ;;
  541.   [\\/]* | ?:[\\/]* )
  542.       ac_srcdir=$srcdir$ac_dir_suffix;
  543.       ac_top_srcdir=$srcdir ;;
  544.   *) # Relative path.
  545.     ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
  546.     ac_top_srcdir=$ac_dots$srcdir ;;
  547.   esac
  548.  
  549.   case $INSTALL in
  550.   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  551.   *) ac_INSTALL=$ac_dots$INSTALL ;;
  552.   esac
  553.  
  554.   if test x"$ac_file" != x-; then
  555.     { echo "$as_me:11329: creating $ac_file" >&5
  556. echo "$as_me: creating $ac_file" >&6;}
  557.     rm -f "$ac_file"
  558.   fi
  559.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  560.   # use $as_me), people would be surprised to read:
  561.   #    /* config.h.  Generated automatically by config.status.  */
  562.   configure_input="Generated automatically from `echo $ac_file_in |
  563.                                                  sed 's,.*/,,'` by configure."
  564.  
  565.   # First look for the input files in the build tree, otherwise in the
  566.   # src tree.
  567.   ac_file_inputs=`IFS=:
  568.     for f in $ac_file_in; do
  569.       case $f in
  570.       -) echo $tmp/stdin ;;
  571.       [\\/$]*)
  572.          # Absolute (can't be DOS-style, as IFS=:)
  573.          test -f "$f" || { { echo "$as_me:11347: error: cannot find input file: $f" >&5
  574. echo "$as_me: error: cannot find input file: $f" >&2;}
  575.    { (exit 1); exit 1; }; }
  576.          echo $f;;
  577.       *) # Relative
  578.          if test -f "$f"; then
  579.            # Build tree
  580.            echo $f
  581.          elif test -f "$srcdir/$f"; then
  582.            # Source tree
  583.            echo $srcdir/$f
  584.          else
  585.            # /dev/null tree
  586.            { { echo "$as_me:11360: error: cannot find input file: $f" >&5
  587. echo "$as_me: error: cannot find input file: $f" >&2;}
  588.    { (exit 1); exit 1; }; }
  589.          fi;;
  590.       esac
  591.     done` || { (exit 1); exit 1; }
  592.   sed "/^[     ]*VPATH[     ]*=/{
  593. s/:*\$(srcdir):*/:/;
  594. s/:*\${srcdir}:*/:/;
  595. s/:*@srcdir@:*/:/;
  596. s/^\([^=]*=[     ]*\):*/\1/;
  597. s/:*$//;
  598. s/^[^=]*=[     ]*$//;
  599. }
  600.  
  601. :t
  602. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  603. s,@configure_input@,$configure_input,;t t
  604. s,@srcdir@,$ac_srcdir,;t t
  605. s,@top_srcdir@,$ac_top_srcdir,;t t
  606. s,@INSTALL@,$ac_INSTALL,;t t
  607. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  608.   rm -f $tmp/stdin
  609.   if test x"$ac_file" != x-; then
  610.     mv $tmp/out $ac_file
  611.   else
  612.     cat $tmp/out
  613.     rm -f $tmp/out
  614.   fi
  615.  
  616. done
  617.  
  618. #
  619. # CONFIG_HEADER section.
  620. #
  621.  
  622. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  623. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  624. #
  625. # ac_d sets the value in "#define NAME VALUE" lines.
  626. ac_dA='s,^\([     ]*\)#\([     ]*define[     ][     ]*\)'
  627. ac_dB='[     ].*$,\1#\2'
  628. ac_dC=' '
  629. ac_dD=',;t'
  630. # ac_i turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
  631. ac_iA='s,^\([     ]*\)#\([     ]*\)undef\([     ][     ]*\)'
  632. ac_iB='\([     ]\),\1#\2define\3'
  633. ac_iC=' '
  634. ac_iD='\4,;t'
  635. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  636. ac_uA='s,^\([     ]*\)#\([     ]*\)undef\([     ][     ]*\)'
  637. ac_uB='$,\1#\2define\3'
  638. ac_uC=' '
  639. ac_uD=',;t'
  640.  
  641. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  642.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  643.   case $ac_file in
  644.   - | *:- | *:-:* ) # input from stdin
  645.         cat >$tmp/stdin
  646.         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  647.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  648.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  649.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  650.   * )   ac_file_in=$ac_file.in ;;
  651.   esac
  652.  
  653.   test x"$ac_file" != x- && { echo "$as_me:11426: creating $ac_file" >&5
  654. echo "$as_me: creating $ac_file" >&6;}
  655.  
  656.   # First look for the input files in the build tree, otherwise in the
  657.   # src tree.
  658.   ac_file_inputs=`IFS=:
  659.     for f in $ac_file_in; do
  660.       case $f in
  661.       -) echo $tmp/stdin ;;
  662.       [\\/$]*)
  663.          # Absolute (can't be DOS-style, as IFS=:)
  664.          test -f "$f" || { { echo "$as_me:11437: error: cannot find input file: $f" >&5
  665. echo "$as_me: error: cannot find input file: $f" >&2;}
  666.    { (exit 1); exit 1; }; }
  667.          echo $f;;
  668.       *) # Relative
  669.          if test -f "$f"; then
  670.            # Build tree
  671.            echo $f
  672.          elif test -f "$srcdir/$f"; then
  673.            # Source tree
  674.            echo $srcdir/$f
  675.          else
  676.            # /dev/null tree
  677.            { { echo "$as_me:11450: error: cannot find input file: $f" >&5
  678. echo "$as_me: error: cannot find input file: $f" >&2;}
  679.    { (exit 1); exit 1; }; }
  680.          fi;;
  681.       esac
  682.     done` || { (exit 1); exit 1; }
  683.   # Remove the trailing spaces.
  684.   sed 's/[     ]*$//' $ac_file_inputs >$tmp/in
  685.  
  686.   rm -f conftest.frag
  687.   cat >> conftest.frag <<CEOF
  688.  
  689. #define SYSTEM_NAME "amigaos"
  690. #define CC_HAS_PROTOS 1
  691. #define HAVE_LONG_FILE_NAMES 1
  692. #define USE_DATABASE 1
  693. #define TERMINFO_DIRS "/gg/share/terminfo"
  694. #define TERMINFO "/gg/share/terminfo"
  695. #define HAVE_BIG_CORE 1
  696. #define USE_TERMCAP 1
  697. #define TERMPATH "/etc/termcap:/usr/share/misc/termcap"
  698. #define HAVE_REMOVE 1
  699. #define HAVE_UNLINK 1
  700. #define HAVE_LINK 1
  701. #define HAVE_SYMLINK 1
  702. #define HAVE_CURSES_VERSION 1
  703. #define HAVE_HAS_KEY 1
  704. #define HAVE_RESIZETERM 1
  705. #define HAVE_USE_DEFAULT_COLORS 1
  706. #define HAVE_WRESIZE 1
  707. #define NCURSES_EXT_FUNCS 1
  708. #define NCURSES_NO_PADDING 1
  709. #define USE_SIGWINCH 1
  710. #define USE_ROOT_ENVIRON 1
  711. #define USE_ASSUMED_COLOR 1
  712. #define USE_HASHMAP 1
  713. #define GCC_SCANF 1
  714. #define GCC_PRINTF 1
  715. #define GCC_UNUSED __attribute__((unused))
  716. #define GCC_NORETURN __attribute__((noreturn))
  717. #define NDEBUG 1
  718. #define HAVE_NC_ALLOC_H 1
  719. #define HAVE_GETTIMEOFDAY 1
  720. #define STDC_HEADERS 1
  721. #define HAVE_DIRENT_H 1
  722. #define TIME_WITH_SYS_TIME 1
  723. #define HAVE_REGEX_H_FUNCS 1
  724. #define HAVE_FCNTL_H 1
  725. #define HAVE_LIMITS_H 1
  726. CEOF
  727.   cat >> conftest.frag <<CEOF
  728. #define HAVE_LOCALE_H 1
  729. #define HAVE_SYS_IOCTL_H 1
  730. #define HAVE_SYS_PARAM_H 1
  731. #define HAVE_SYS_TIME_H 1
  732. #define HAVE_SYS_TIMES_H 1
  733. #define HAVE_TTYENT_H 1
  734. #define HAVE_UNISTD_H 1
  735. #define HAVE_SYS_TIME_SELECT 1
  736. #define CC_HAS_INLINE_FUNCS 1
  737. #define TYPEOF_CHTYPE long
  738. #define HAVE_ERRNO 1
  739. #define HAVE_GETCWD 1
  740. #define HAVE_GETEGID 1
  741. #define HAVE_GETEUID 1
  742. #define HAVE_GETTTYNAM 1
  743. #define HAVE_MEMCCPY 1
  744. #define HAVE_REMOVE 1
  745. #define HAVE_SELECT 1
  746. #define HAVE_SETBUF 1
  747. #define HAVE_SETBUFFER 1
  748. #define HAVE_SETVBUF 1
  749. #define HAVE_SIGACTION 1
  750. #define HAVE_SIGVEC 1
  751. #define HAVE_STRDUP 1
  752. #define HAVE_STRSTR 1
  753. #define HAVE_TCGETPGRP 1
  754. #define HAVE_TIMES 1
  755. #define HAVE_VSNPRINTF 1
  756. #define HAVE_ISASCII 1
  757. #define HAVE_TERMIOS_H 1
  758. #define HAVE_UNISTD_H 1
  759. #define HAVE_TCGETATTR 1
  760. #define HAVE_VSSCANF 1
  761. #define HAVE_MKSTEMP 1
  762. #define RETSIGTYPE void
  763. #define HAVE_SIZECHANGE 1
  764. #define HAVE_TYPEINFO 1
  765. #define CPP_HAS_PARAM_INIT 1
  766. CEOF
  767.   cat >> conftest.frag <<CEOF
  768. #define HAVE_STRSTREAM_H 1
  769. #define HAVE_PANEL_H 1
  770. #define HAVE_LIBPANEL 1
  771. #define HAVE_MENU_H 1
  772. #define HAVE_LIBMENU 1
  773. #define HAVE_FORM_H 1
  774. #define HAVE_LIBFORM 1
  775. #define NCURSES_PATHSEP ':'
  776. CEOF
  777.   cat >> conftest.edit <<CEOF
  778. /@DEFS@/r conftest.frag
  779. /@DEFS@/d
  780. CEOF
  781. sed -f conftest.edit $tmp/in > $tmp/out
  782. rm -f $tmp/in
  783. mv $tmp/out $tmp/in
  784. rm -f conftest.edit conftest.frag
  785.  
  786.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  787.   # use $as_me), people would be surprised to read:
  788.   #    /* config.h.  Generated automatically by config.status.  */
  789.   if test x"$ac_file" = x-; then
  790.     echo "/* Generated automatically by configure.  */" >$tmp/config.h
  791.   else
  792.     echo "/* $ac_file.  Generated automatically by configure.  */" >$tmp/config.h
  793.   fi
  794.   cat $tmp/in >>$tmp/config.h
  795.   rm -f $tmp/in
  796.   if test x"$ac_file" != x-; then
  797.     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
  798.       { echo "$as_me:11508: $ac_file is unchanged" >&5
  799. echo "$as_me: $ac_file is unchanged" >&6;}
  800.     else
  801.       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  802.          X"$ac_file" : 'X\(//\)[^/]' \| \
  803.          X"$ac_file" : 'X\(//\)$' \| \
  804.          X"$ac_file" : 'X\(/\)' \| \
  805.          .     : '\(.\)' 2>/dev/null ||
  806. echo X"$ac_file" |
  807.     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  808.         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  809.         /^X\(\/\/\)$/{ s//\1/; q; }
  810.         /^X\(\/\).*/{ s//\1/; q; }
  811.         s/.*/./; q'`
  812.       if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  813.         { case "$ac_dir" in
  814.   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  815.   *)                      as_incr_dir=.;;
  816. esac
  817. as_dummy="$ac_dir"
  818. for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  819.   case $as_mkdir_dir in
  820.     # Skip DOS drivespec
  821.     ?:) as_incr_dir=$as_mkdir_dir ;;
  822.     *)
  823.       as_incr_dir=$as_incr_dir/$as_mkdir_dir
  824.       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
  825.     ;;
  826.   esac
  827. done; }
  828.  
  829.       fi
  830.       rm -f $ac_file
  831.       mv $tmp/config.h $ac_file
  832.     fi
  833.   else
  834.     cat $tmp/config.h
  835.     rm -f $tmp/config.h
  836.   fi
  837. done
  838.  
  839. #
  840. # CONFIG_COMMANDS section.
  841. #
  842. for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  843.   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  844.   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
  845.  
  846.   case $ac_dest in
  847.     default )
  848.  
  849.     case $cf_cv_system_name in
  850.     OS/2*)    LIB_PREFIX=''     ;;
  851.     os2*)    LIB_PREFIX=''     ;;
  852.     *)    LIB_PREFIX='lib'  ;;
  853.     esac
  854. cf_prefix=$LIB_PREFIX
  855.  
  856. for cf_dir in $SRC_SUBDIRS
  857. do
  858.     if test -f $srcdir/$cf_dir/modules; then
  859.  
  860.         IMPORT_LIB=
  861.         SHARED_LIB=
  862.         LIBS_TO_MAKE=
  863.         for cf_item in $CF_LIST_MODELS
  864.         do
  865.  
  866.     case $cf_item in
  867.     libtool) cf_suffix='.la'  ;;
  868.     normal)  cf_suffix='.a'   ;;
  869.     debug)   cf_suffix='_g.a' ;;
  870.     profile) cf_suffix='_p.a' ;;
  871.     shared)
  872.         case $cf_cv_system_name in
  873.         cygwin*) cf_suffix='.dll' ;;
  874.         darwin*) cf_suffix='.dylib' ;;
  875.         hpux*)    cf_suffix='.sl'  ;;
  876.         *)    cf_suffix='.so'  ;;
  877.         esac
  878.     esac
  879.     test -n "$LIB_SUFFIX" && cf_suffix="${LIB_SUFFIX}${cf_suffix}"
  880.  
  881.             if test $cf_item = shared ; then
  882.             if test "$cf_cv_do_symlinks" = yes ; then
  883.                 case "$cf_cv_shlib_version" in #(vi
  884.                 rel) #(vi
  885.                     case "$cf_cv_system_name" in #(vi
  886.                     darwin*) cf_suffix='.$(REL_VERSION)'"$cf_suffix" ;; #(vi
  887.                     *) cf_suffix="$cf_suffix"'.$(REL_VERSION)' ;;
  888.                     esac
  889.                     ;;
  890.                 abi)
  891.                     case "$cf_cv_system_name" in #(vi
  892.                     darwin*) cf_suffix='.$(ABI_VERSION)'"$cf_suffix" ;; #(vi
  893.                     *) cf_suffix="$cf_suffix"'.$(ABI_VERSION)' ;;
  894.                     esac
  895.                     ;;
  896.                 esac
  897.             fi
  898.             # cygwin needs import library, and has unique naming convention
  899.             if test $cf_cv_shlib_version = cygdll ; then
  900.                 SHARED_LIB="../lib/${cf_prefix}${cf_dir}\$(ABI_VERSION).dll"
  901.                 IMPORT_LIB="../lib/${cf_prefix}${cf_dir}.dll.a"
  902.                 LIBS_TO_MAKE="$LIBS_TO_MAKE \$(SHARED_LIB) \$(IMPORT_LIB)"
  903.                 continue
  904.             fi
  905.             fi
  906.             LIBS_TO_MAKE="$LIBS_TO_MAKE ../lib/${cf_prefix}${cf_dir}${cf_suffix}"
  907.         done
  908.  
  909.         if test $cf_dir = ncurses ; then
  910.             cf_subsets="$LIB_SUBSETS"
  911.             case "$LIB_SUBSETS" in #(vi
  912.             termlib+*) #(vi
  913.                 ;;
  914.             *) #(vi
  915.                 cf_item=`echo $LIBS_TO_MAKE |sed -e s/$LIB_NAME/$TINFO_NAME/g`
  916.                 LIBS_TO_MAKE="$cf_item $LIBS_TO_MAKE"
  917.                 ;;
  918.             esac
  919.         else
  920.             cf_subsets=`echo "$LIB_SUBSETS" | sed -e 's/^termlib //'`
  921.         fi
  922.  
  923.         sed -e "s%@LIBS_TO_MAKE@%$LIBS_TO_MAKE%" \
  924.             -e "s%@IMPORT_LIB@%$IMPORT_LIB%" \
  925.             -e "s%@SHARED_LIB@%$SHARED_LIB%" \
  926.             $cf_dir/Makefile >$cf_dir/Makefile.out
  927.         mv $cf_dir/Makefile.out $cf_dir/Makefile
  928.  
  929.         $AWK -f $srcdir/mk-0th.awk \
  930.             libname="${cf_dir}${LIB_SUFFIX}" subsets="$LIB_SUBSETS" \
  931.             $srcdir/$cf_dir/modules >>$cf_dir/Makefile
  932.  
  933.         for cf_subset in $cf_subsets
  934.         do
  935.             cf_subdirs=
  936.             for cf_item in $CF_LIST_MODELS
  937.             do
  938.             echo "Appending rules for ${cf_item} model (${cf_dir}: ${cf_subset})"
  939.  
  940. CF_ITEM=`echo "$cf_item" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
  941.  
  942.     case $cf_item in
  943.     libtool) cf_suffix='.la'  ;;
  944.     normal)  cf_suffix='.a'   ;;
  945.     debug)   cf_suffix='_g.a' ;;
  946.     profile) cf_suffix='_p.a' ;;
  947.     shared)
  948.         case $cf_cv_system_name in
  949.         cygwin*) cf_suffix='.dll' ;;
  950.         darwin*) cf_suffix='.dylib' ;;
  951.         hpux*)    cf_suffix='.sl'  ;;
  952.         *)    cf_suffix='.so'  ;;
  953.         esac
  954.     esac
  955.     test -n "$LIB_SUFFIX" && cf_suffix="${LIB_SUFFIX}${cf_suffix}"
  956.  
  957.     case $cf_item in
  958.     libtool) cf_subdir='obj_lo'  ;;
  959.     normal)  cf_subdir='objects' ;;
  960.     debug)   cf_subdir='obj_g' ;;
  961.     profile) cf_subdir='obj_p' ;;
  962.     shared)
  963.         case $cf_cv_system_name in #(vi
  964.         cygwin) #(vi
  965.             cf_subdir='objects' ;;
  966.         *)
  967.             cf_subdir='obj_s' ;;
  968.         esac
  969.     esac
  970.  
  971.             # These dependencies really are for development, not
  972.             # builds, but they are useful in porting, too.
  973.             cf_depend="../include/ncurses_cfg.h"
  974.             if test "$srcdir" = "."; then
  975.                 cf_reldir="."
  976.             else
  977.                 cf_reldir="\$(srcdir)"
  978.             fi
  979.  
  980.             if test -f $srcdir/$cf_dir/$cf_dir.priv.h; then
  981.                 cf_depend="$cf_depend $cf_reldir/$cf_dir.priv.h"
  982.             elif test -f $srcdir/$cf_dir/curses.priv.h; then
  983.                 cf_depend="$cf_depend $cf_reldir/curses.priv.h"
  984.             fi
  985.  
  986.             $AWK -f $srcdir/mk-1st.awk \
  987.                 name=$cf_dir \
  988.                 traces=$LIB_TRACING \
  989.                 MODEL=$CF_ITEM \
  990.                 model=$cf_subdir \
  991.                 prefix=$cf_prefix \
  992.                 suffix=$cf_suffix \
  993.                 subset=$cf_subset \
  994.                 ShlibVer=$cf_cv_shlib_version \
  995.                 ShlibVerInfix=$cf_cv_shlib_version_infix \
  996.                 DoLinks=$cf_cv_do_symlinks \
  997.                 rmSoLocs=$cf_cv_rm_so_locs \
  998.                 ldconfig="$LDCONFIG" \
  999.                 overwrite=$WITH_OVERWRITE \
  1000.                 depend="$cf_depend" \
  1001.                 target="$target" \
  1002.                 $srcdir/$cf_dir/modules >>$cf_dir/Makefile
  1003.             for cf_subdir2 in $cf_subdirs lib
  1004.             do
  1005.                 test $cf_subdir = $cf_subdir2 && break
  1006.             done
  1007.             test "${cf_subset}.${cf_subdir2}" != "${cf_subset}.${cf_subdir}" && \
  1008.             $AWK -f $srcdir/mk-2nd.awk \
  1009.                 name=$cf_dir \
  1010.                 traces=$LIB_TRACING \
  1011.                 MODEL=$CF_ITEM \
  1012.                 model=$cf_subdir \
  1013.                 subset=$cf_subset \
  1014.                 srcdir=$srcdir \
  1015.                 echo=$WITH_ECHO \
  1016.                 $srcdir/$cf_dir/modules >>$cf_dir/Makefile
  1017.             cf_subdirs="$cf_subdirs $cf_subdir"
  1018.             done
  1019.         done
  1020.     fi
  1021.  
  1022.     echo '    cd '$cf_dir' && $(MAKE) $(CF_MFLAGS) $@' >>Makefile
  1023. done
  1024.  
  1025. for cf_dir in $SRC_SUBDIRS
  1026. do
  1027.     if test -f $cf_dir/Makefile ; then
  1028.         case "$cf_dir" in
  1029.         Ada95) #(vi
  1030.             echo 'libs \' >> Makefile
  1031.             echo 'install.libs \' >> Makefile
  1032.             echo 'uninstall.libs ::' >> Makefile
  1033.             echo '    cd '$cf_dir' && $(MAKE) $(CF_MFLAGS) $@' >> Makefile
  1034.             ;;
  1035.         esac
  1036.     fi
  1037.  
  1038.     if test -f $srcdir/$cf_dir/modules; then
  1039.         echo >> Makefile
  1040.         if test -f $srcdir/$cf_dir/headers; then
  1041. cat >> Makefile <<CF_EOF
  1042. install.includes \\
  1043. uninstall.includes \\
  1044. CF_EOF
  1045.         fi
  1046. if test "$cf_dir" != "c++" ; then
  1047. echo 'lint \' >> Makefile
  1048. fi
  1049. cat >> Makefile <<CF_EOF
  1050. libs \\
  1051. lintlib \\
  1052. install.libs \\
  1053. uninstall.libs \\
  1054. install.$cf_dir \\
  1055. uninstall.$cf_dir ::
  1056.     cd $cf_dir && \$(MAKE) \$(CF_MFLAGS) \$@
  1057. CF_EOF
  1058.     elif test -f $srcdir/$cf_dir/headers; then
  1059. cat >> Makefile <<CF_EOF
  1060.  
  1061. libs \\
  1062. install.libs \\
  1063. uninstall.libs \\
  1064. install.includes \\
  1065. uninstall.includes ::
  1066.     cd $cf_dir && \$(MAKE) \$(CF_MFLAGS) \$@
  1067. CF_EOF
  1068. fi
  1069. done
  1070.  
  1071. cat >> Makefile <<CF_EOF
  1072.  
  1073. install.data \\
  1074. uninstall.data ::
  1075. $MAKE_TERMINFO    cd misc && \$(MAKE) \$(CF_MFLAGS) \$@
  1076.  
  1077. install.man \\
  1078. uninstall.man ::
  1079.     cd man && \$(MAKE) \$(CF_MFLAGS) \$@
  1080.  
  1081. distclean ::
  1082.     rm -f config.cache config.log config.status Makefile include/ncurses_cfg.h
  1083.     rm -f headers.sh headers.sed
  1084.     rm -rf \$(DIRS_TO_MAKE)
  1085. CF_EOF
  1086.  
  1087. # Special case: tack's manpage lives in its own directory.
  1088. if test -d tack ; then
  1089. if test -f $srcdir/$tack.h; then
  1090. cat >> Makefile <<CF_EOF
  1091.  
  1092. install.man \\
  1093. uninstall.man ::
  1094.     cd tack && \$(MAKE) \$(CF_MFLAGS) \$@
  1095. CF_EOF
  1096. fi
  1097. fi
  1098.  
  1099. rm -f headers.sed headers.sh
  1100.  
  1101. echo creating headers.sh
  1102. cat >headers.sh <<CF_EOF
  1103. #! /bin/sh
  1104. # This shell script is generated by the 'configure' script.  It is invoked in a
  1105. # subdirectory of the build tree.  It generates a sed-script in the parent
  1106. # directory that is used to adjust includes for header files that reside in a
  1107. # subdirectory of /usr/include, etc.
  1108. PRG=""
  1109. while test \$# != 3
  1110. do
  1111. PRG="\$PRG \$1"; shift
  1112. done
  1113. DST=\$1
  1114. REF=\$2
  1115. SRC=\$3
  1116. TMPSRC=\${TMPDIR-/tmp}/\`basename \$SRC\`\$\$
  1117. TMPSED=\${TMPDIR-/tmp}/headers.sed\$\$
  1118. echo installing \$SRC in \$DST
  1119. CF_EOF
  1120. if test $WITH_CURSES_H = yes; then
  1121.     cat >>headers.sh <<CF_EOF
  1122. case \$DST in
  1123. /*/include/*)
  1124.     END=\`basename \$DST\`
  1125.     for i in \`cat \$REF/../*/headers |fgrep -v "#"\`
  1126.     do
  1127.         NAME=\`basename \$i\`
  1128.         echo "s/<\$NAME>/<\$END\/\$NAME>/" >> \$TMPSED
  1129.     done
  1130.     ;;
  1131. *)
  1132.     echo "" >> \$TMPSED
  1133.     ;;
  1134. esac
  1135. CF_EOF
  1136. else
  1137.     cat >>headers.sh <<CF_EOF
  1138. case \$DST in
  1139. /*/include/*)
  1140.     END=\`basename \$DST\`
  1141.     for i in \`cat \$REF/../*/headers |fgrep -v "#"\`
  1142.     do
  1143.         NAME=\`basename \$i\`
  1144.         if test "\$NAME" = "curses.h"
  1145.         then
  1146.             echo "s/<curses.h>/<ncurses.h>/" >> \$TMPSED
  1147.             NAME=ncurses.h
  1148.         fi
  1149.         echo "s/<\$NAME>/<\$END\/\$NAME>/" >> \$TMPSED
  1150.     done
  1151.     ;;
  1152. *)
  1153.     echo "s/<curses.h>/<ncurses.h>/" >> \$TMPSED
  1154.     ;;
  1155. esac
  1156. CF_EOF
  1157. fi
  1158. cat >>headers.sh <<CF_EOF
  1159. rm -f \$TMPSRC
  1160. sed -f \$TMPSED \$SRC > \$TMPSRC
  1161. NAME=\`basename \$SRC\`
  1162. CF_EOF
  1163. if test $WITH_CURSES_H != yes; then
  1164.     cat >>headers.sh <<CF_EOF
  1165. test "\$NAME" = "curses.h" && NAME=ncurses.h
  1166. CF_EOF
  1167. fi
  1168. cat >>headers.sh <<CF_EOF
  1169. # Just in case someone gzip'd manpages, remove the conflicting copy.
  1170. test -f \$DST/\$NAME.gz && rm -f \$DST/\$NAME.gz
  1171.  
  1172. eval \$PRG \$TMPSRC \$DST/\$NAME
  1173. rm -f \$TMPSRC \$TMPSED
  1174. CF_EOF
  1175.  
  1176. chmod 0755 headers.sh
  1177.  
  1178. for cf_dir in $SRC_SUBDIRS
  1179. do
  1180.     if test -f $srcdir/$cf_dir/headers; then
  1181.     cat >>$cf_dir/Makefile <<CF_EOF
  1182. \$(DESTDIR)\$(includedir) :
  1183.     sh \$(srcdir)/../mkinstalldirs \$@
  1184.  
  1185. install \\
  1186. install.libs \\
  1187. install.includes :: \$(AUTO_SRC) \$(DESTDIR)\$(includedir) \\
  1188. CF_EOF
  1189.         j=""
  1190.         for i in `cat $srcdir/$cf_dir/headers |fgrep -v "#"`
  1191.         do
  1192.             test -n "$j" && echo "        $j \\" >>$cf_dir/Makefile
  1193.             j=$i
  1194.         done
  1195.         echo "        $j" >>$cf_dir/Makefile
  1196.         for i in `cat $srcdir/$cf_dir/headers |fgrep -v "#"`
  1197.         do
  1198.             echo "    @ (cd \$(DESTDIR)\$(includedir) && rm -f `basename $i`) ; ../headers.sh \$(INSTALL_DATA) \$(DESTDIR)\$(includedir) \$(srcdir) $i" >>$cf_dir/Makefile
  1199.             test $i = curses.h && test $WITH_CURSES_H = yes && echo "    @ (cd \$(DESTDIR)\$(includedir) && rm -f ncurses.h && \$(LN_S) curses.h ncurses.h)" >>$cf_dir/Makefile
  1200.         done
  1201.  
  1202.     cat >>$cf_dir/Makefile <<CF_EOF
  1203.  
  1204. uninstall \\
  1205. uninstall.libs \\
  1206. uninstall.includes ::
  1207. CF_EOF
  1208.         for i in `cat $srcdir/$cf_dir/headers |fgrep -v "#"`
  1209.         do
  1210.             i=`basename $i`
  1211.             echo "    -@ (cd \$(DESTDIR)\$(includedir) && rm -f $i)" >>$cf_dir/Makefile
  1212.             test $i = curses.h && echo "    -@ (cd \$(DESTDIR)\$(includedir) && rm -f ncurses.h)" >>$cf_dir/Makefile
  1213.         done
  1214.     fi
  1215.  
  1216.     if test -f $srcdir/$cf_dir/modules; then
  1217.         if test "$cf_dir" != "c++" ; then
  1218.             cat >>$cf_dir/Makefile <<"CF_EOF"
  1219. depend : $(AUTO_SRC)
  1220.     makedepend -- $(CPPFLAGS) -- $(C_SRC)
  1221.  
  1222. # DO NOT DELETE THIS LINE -- make depend depends on it.
  1223. CF_EOF
  1224.         fi
  1225.     fi
  1226. done
  1227.  
  1228.  ;;
  1229.   esac
  1230. done
  1231.  
  1232. { (exit 0); exit 0; }
  1233.